# PuzzlePrefs (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.puzzle.client
Class PuzzlePrefs

    java.lang.Object
      com.threerings.puzzle.client.PuzzlePrefs

    public class PuzzlePrefs

extends Object

Provides access to runtime configuration parameters for this package and its subpackages.

Field Summary
`static PrefsConfig` `config` Used to load our preferences from a properties file and map them to the persistent Java preferences repository.

Constructor Summary
`PuzzlePrefs()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    public static PrefsConfig config

  Used to load our preferences from a properties file and map them to the persistent Java preferences repository.

Constructor Detail

### PuzzlePrefs

    public PuzzlePrefs()

Copyright © 2011. All Rights Reserved.